<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.hslf.usermodel (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.hslf.usermodel (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/hslf/util/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.hslf.usermodel</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html"
                                            title="interface in org.apache.poi.hslf.usermodel">HSLFShapeContainer</a>
                    </td>
                    <td class="colLast">
                        <div class="block">Common interface for shape containers, e.g.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFAutoShape.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFAutoShape</a></td>
                    <td class="colLast">
                        <div class="block">Represents an AutoShape.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFBackground.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFBackground</a></td>
                    <td class="colLast">
                        <div class="block">Background shape</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFComment.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFComment</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFConnectorShape.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFConnectorShape</a></td>
                    <td class="colLast">
                        <div class="block">Specifies a connection shape.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFFill.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFFill</a></td>
                    <td class="colLast">
                        <div class="block">Represents functionality provided by the 'Fill Effects' dialog in
                            PowerPoint.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFFontInfo</a></td>
                    <td class="colLast">
                        <div class="block">Represents a Font used in a presentation.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFFreeformShape.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFFreeformShape</a></td>
                    <td class="colLast">
                        <div class="block">A "Freeform" shape.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFGroupShape</a></td>
                    <td class="colLast">
                        <div class="block">Represents a group of shapes.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a></td>
                    <td class="colLast">
                        <div class="block">Represents a hyperlink in a PowerPoint document</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFLine.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFLine</a></td>
                    <td class="colLast">
                        <div class="block">Represents a line in a PowerPoint drawing</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFMasterSheet.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFMasterSheet</a></td>
                    <td class="colLast">
                        <div class="block">The superclass of all master sheets - Slide masters, Notes masters, etc.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFNotes.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFNotes</a></td>
                    <td class="colLast">
                        <div class="block">This class represents a slide's notes in a PowerPoint Document.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFObjectData.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFObjectData</a></td>
                    <td class="colLast">
                        <div class="block">A class that represents object data embedded in a slide show.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFObjectShape.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFObjectShape</a></td>
                    <td class="colLast">
                        <div class="block">A shape representing embedded OLE object.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a></td>
                    <td class="colLast">
                        <div class="block">A class that represents image data contained in a slide show.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFPictureShape</a></td>
                    <td class="colLast">
                        <div class="block">Represents a picture in a PowerPoint document.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholder.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFPlaceholder</a></td>
                    <td class="colLast">
                        <div class="block">Represents a Placeholder in PowerPoint.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholderDetails.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFPlaceholderDetails</a></td>
                    <td class="colLast">
                        <div class="block">Extended placeholder details for HSLF sheets - mainly for headers and
                            footers
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a></td>
                    <td class="colLast">
                        <div class="block">
                            Represents a Shape which is the elemental object that composes a drawing.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeFactory.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFShapeFactory</a></td>
                    <td class="colLast">
                        <div class="block">Create a <code>Shape</code> object depending on its type</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapePlaceholderDetails.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShapePlaceholderDetails</a></td>
                    <td class="colLast">
                        <div class="block">Extended placeholder details for HSLF shapes</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a></td>
                    <td class="colLast">
                        <div class="block">This class defines the common format of "Sheets" in a powerpoint
                            document.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFSimpleShape</a></td>
                    <td class="colLast">
                        <div class="block">An abstract simple (non-group) shape.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFSlide</a></td>
                    <td class="colLast">
                        <div class="block">This class represents a slide in a PowerPoint Document.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideMaster.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFSlideMaster</a></td>
                    <td class="colLast">
                        <div class="block">SlideMaster determines the graphics, layout, and formatting for all the
                            slides in a given presentation.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShow.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFSlideShow</a></td>
                    <td class="colLast">
                        <div class="block">This class is a friendly wrapper on top of the more scary HSLFSlideShow.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowEncrypted.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFSlideShowEncrypted</a></td>
                    <td class="colLast">
                        <div class="block">This class provides helper functions for encrypted PowerPoint documents.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowFactory.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFSlideShowFactory</a></td>
                    <td class="colLast">
                        <div class="block">Helper class which is instantiated by reflection from
                            <a href="../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html#create-java.io.File-"><code>SlideShowFactory.create(java.io.File)</code></a>
                            and similar
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFSlideShowImpl</a></td>
                    <td class="colLast">
                        <div class="block">This class contains the main functionality for the Powerpoint file
                            "reader".
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSoundData.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFSoundData</a></td>
                    <td class="colLast">
                        <div class="block">A class that represents sound data embedded in a slide show.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFTable</a></td>
                    <td class="colLast">
                        <div class="block">Represents a table in a PowerPoint presentation</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFTableCell.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFTableCell</a></td>
                    <td class="colLast">
                        <div class="block">Represents a cell in a ppt table</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextBox.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFTextBox</a></td>
                    <td class="colLast">
                        <div class="block">Represents a TextFrame shape in PowerPoint.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a></td>
                    <td class="colLast">
                        <div class="block">This class represents a run of text in a powerpoint document.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextRun.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFTextRun</a></td>
                    <td class="colLast">
                        <div class="block">Represents a run of text, all with the same style</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextShape.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFTextShape</a></td>
                    <td class="colLast">
                        <div class="block">A common superclass of all shapes that can hold text.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFTitleMaster.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFTitleMaster</a></td>
                    <td class="colLast">
                        <div class="block">Title masters define the design template for slides with a Title Slide
                            layout.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Enum Summary table, listing enums, and an explanation">
                <caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Enum</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.FontRenderType.html"
                            title="enum in org.apache.poi.hslf.usermodel">HSLFFontInfo.FontRenderType</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html"
                            title="enum in org.apache.poi.hslf.usermodel">HSLFFontInfoPredefined</a></td>
                    <td class="colLast">
                        <div class="block">Predefined fonts</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/hslf/util/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
